% T. Titijaroonroj, J. Jaemsiri and J. Rungrattanaubol, "Improved Adaptive Spectrum
% Scale-Space in Frequency Domain for Saliency Detection," 2020 12th International
% Conference on Knowledge and Smart Technology (KST), Pattaya, Chonburi, Thailand,
% 2020, pp. 97-102

%% Clear history and memory
clc;clear all;close all;
%% Set path
rootInfo = what;root = rootInfo.path;root=strcat(root,'\functions\'); addpath(root)
%% Initializtion
param=callHFTParams;

%% Load image
    Irgb=mat2gray(imread ('Image_1.png'));
    Ilab=mat2gray(imread ('Image_2.png'));
    
    ergb = local_entropy(mat2gray(imresize(Irgb,[128 128])));
    elab = local_entropy(mat2gray(imresize(Ilab,[128 128])));
      
    if (ergb < elab)
        output = Irgb;
    else
        output = Ilab;
    end
    
       fg = figure,
       imshow([Irgb Ilab output]);
       title(['Entropy-[RGB] ' num2str(ergb) ' Entropy-[LAB] ' num2str(elab) ]);

 