% T. Titijaroonroj, J. Jaemsiri and J. Rungrattanaubol, "Improved Adaptive Spectrum
% Scale-Space in Frequency Domain for Saliency Detection," 2020 12th International
% Conference on Knowledge and Smart Technology (KST), Pattaya, Chonburi, Thailand,
% 2020, pp. 97-102

%% Clear history and memory
clc;clear all;close all;

%% Set path
rootInfo = what;root = rootInfo.path;root=strcat(root,'\functions\'); addpath(root)
%% Initializtion 
param=callHFTParams;

%% Load image
inImg1=double(rgb2lab(imread('Image_1.bmp'))); 
[p1,p2,p3]=size(inImg1);

%% Resize image to 128*128 %You are encouraged to try other resolutions, or even learn a optimal image scale by training.
inImg1 = imresize(inImg1, [128, 128], 'bilinear');

%% Compute input feature maps
r = inImg1(:,:,1);g = inImg1(:,:,2);b = inImg1(:,:,3);   
I = mean(inImg1,3);I=max(max(r,g),b); 
R = r-(g+b)/2;G = g-(r+b)/2;B = b-(r+g)/2;Y = (r+g)/2-abs(r-g)/2-b;Y(Y<0) = 0;
RG = double(R - G);BY =double(B - Y);

%% Compute the Hypercomplex representation
f = quaternion(0.25*RG, 0.25*BY, 0.5*I);  % the default weigthed for each feature map is 0.25 0.25 0.5
%% Compute the Scale space in frequency domain
[M,N]=size(r);S =MSQFIASSS(f,M,N);
%% Find the optimal scale
[H,W,Ch]=size(inImg1);sgm=W*param.SmoothingValue;
for k= 1:16 
       entro(k)=global_entropy((S(:,:,k)));     
end
entro_seq=sort(entro); c=find(entro==entro_seq(1));c=c(1);
SalMap=mat2gray(S(:,:,c));
%--------------------------------------------------------------------------
%% Postprocessing
sgm=W*param.SmoothingValue;
SalMap = imfilter(SalMap, fspecial('gaussian',[round(4*sgm) round(4*sgm)],sgm));
SalMap = imresize(SalMap, [p1,p2], 'bilinear');
SalMap=mat2gray(SalMap);
imshow(SalMap,[]);
%--------------------------------------------------------------------------
