function f = adpmedian(g, Smax)
if (Smax <= 1) | (Smax/2 == round(Smax/2)) | (Smax ~= round(Smax))
    error('SMAX must be an odd integer > 1.')
end
[M, N] = size(g);

% Initial setup.
f = g;
alreadyProcessed = false(size(g));
g = (ceil(g));

for k = 3:2:Smax % [3 5 7 9 ... 17]     
    zgua = imfilter(g, fspecial('gaussian',k,2^(k-2)));
    zmin = ordfilt2(g, 1, ones(k, k), 'symmetric');        
    zmax = ordfilt2(g, k * k, ones(k, k), 'symmetric');
    zmed = medfilt2(g, [k k], 'symmetric');
        
    processUsingLevelB = (zmed > zmin) & (zmax > zmed) & ...
        ~alreadyProcessed;
    zB = (g > zmin) & (zmax > g);
    outputZxy  = processUsingLevelB & zB;
    outputZmed = processUsingLevelB & ~zB;
    
    f(outputZxy)  = zgua(outputZxy);
    f(outputZmed) = zgua(outputZmed);    
    alreadyProcessed = alreadyProcessed | processUsingLevelB;
    if all(alreadyProcessed(:))
        break;
    end
end
f(~alreadyProcessed) = zmed(~alreadyProcessed);